Bug 341221 - multiarch conflicts in gcc
multiarch conflicts in gcc
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
: 344671 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-10-19 17:37 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-23 12:14:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:37:24 EDT
gcc (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/man/man1/grmic.1.gz from install of libgcj-4.1.2-32 conflicts with file from package libgcj-4.1.2-32
  file /usr/share/man/man1/jv-convert.1.gz from install of libgcj-4.1.2-32 conflicts with file from package libgcj-4.1.2-32

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Jakub Jelinek 2007-10-21 07:50:20 EDT
Ouch, this seem to be very severe problem IMNSHO (and been introduced
in the gcc-4.1.2-32 build).
The problem is that koji buildboxes were amazingly slow and especially the x86_64
build, so while e.g. i386 build took just 3hrs5min, x86_64 15hrs22min and crossed
midnight during that.
As pod2man by default sets timestamp to the input file year-month-day and
the input file is generated, this embedded date was different.
Added an argument for pod2man to set the date explicitly (computed from mtime
of the original *.texinfo file which is in the tarball).
IMHO this really needs to be fixed in F8.
Building fixed rpm.
Comment 2 Jakub Jelinek 2007-10-21 17:45:44 EDT
*** Bug 344671 has been marked as a duplicate of this bug. ***
Comment 3 Jakub Jelinek 2007-10-23 12:14:16 EDT
In gcc-4.1.2-33.

Note You need to log in before you can comment on or make changes to this bug.